StartupEvents.registry('item', event => {

    event.create('arcane_treated_cloth')
        .displayName('Arcane Treated Cloth')
        .texture('fantasia:item/arcane_treated_cloth');

    event.create('solution_arcane')
        .displayName('Arcane Solution')
        .maxStackSize(6)
        .glow(true)
        .texture('fantasia:item/solution_arcane');

    event.create('solution_nature')
        .displayName('Nature Solution')
        .maxStackSize(6)
        .glow(true)
        .texture('fantasia:item/solution_nature');

    event.create('solution_fire')
        .displayName('Fiery Solution')
        .maxStackSize(6)
        .glow(true)
        .texture('fantasia:item/solution_fire');

    event.create('solution_ice')
        .displayName('Ice Solution')
        .maxStackSize(6)
        .glow(true)
        .texture('fantasia:item/solution_ice');

    event.create('solution_lightning')
        .displayName('Lightning Solution')
        .maxStackSize(6)
        .glow(true)
        .texture('fantasia:item/solution_lightning');

    event.create('solution_ender')
        .displayName('Ender Solution')
        .maxStackSize(6)
        .glow(true)
        .texture('fantasia:item/solution_ender');

    event.create('solution_holy')
        .displayName('Holy Solution')
        .maxStackSize(6)
        .glow(true)
        .texture('fantasia:item/solution_holy');

    event.create('solution_protection')
        .displayName('Protective Solution')
        .maxStackSize(6)
        .glow(true)
        .texture('fantasia:item/solution_protection');

    event.create('solution_cooldown')
        .displayName('Recovery Solution')
        .maxStackSize(6)
        .glow(true)
        .texture('fantasia:item/solution_cooldown');

    event.create('solution_evocation')
        .displayName('Evocation Solution')
        .maxStackSize(6)
        .glow(true)
        .texture('fantasia:item/solution_evocation');

    event.create('solution_blood')
        .displayName('Bloody Solution')
        .maxStackSize(6)
        .glow(true)
        .texture('fantasia:item/solution_blood');

    event.create('arcane_thread')
        .displayName('Arcane Thread')
        .maxStackSize(16)
        .texture('fantasia:item/arcane_thread');

    event.create('silver_needle')
        .displayName('Silver Needle')
        .maxStackSize(1)
        .maxDamage(5)
        .texture('fantasia:item/tools/needles/silver_needle');

    event.create('steel_needle')
        .displayName('Steel Needle')
        .maxStackSize(1)
        .maxDamage(20)
        .texture('fantasia:item/tools/needles/steel_needle');

    event.create('bone_needle')
        .displayName('Bone Needle')
        .maxStackSize(1)
        .maxDamage(2)
        .texture('fantasia:item/tools/needles/bone_needle');

    event.create('file_head')
        .displayName('Raspy File Head')
        .maxStackSize(64)
        .texture('fantasia:item/tools/needles/file_head');

    event.create('netherite_mage_smithing_template')
        .displayName('Smithing Template')
        .maxStackSize(64)
        .texture('fantasia:item/netherite_mage_smithing_template');

    event.create('netherite_plates')
        .displayName('Netherite Plates')
        .maxStackSize(64)
        .texture('fantasia:item/netherite_plates');
})
